<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Task 20.100 registration form</title>
    <!-- Nhúng thư viện bootstrap 4-->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.min.js"></script>
</head>

<body>
    <form action="" id="form-register">
        <div class="container jumbotron">
            <div class="row">
                <div class="col-sm-12">
                    <h4 class="text-center text-primary">Registration Form - Form đăng kí nhập cảnh</h4>
                </div>
            </div>
            <div class="row">
                <div class="col-sm-12">
                    <div class="row">
                        <div class="col-sm-6">
                            <div class="row form-group">
                                <div class="col-sm-4">
                                    <label>First Name <span class="text-danger">(*)</span></label>
                                </div>
                                <div class="col-sm-8">
                                    <input class="form-control bg-light" id="inp-first-name"
                                        placeholder="Nhập first name">
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-6">
                            <div class="row form-group">
                                <div class="col-sm-4">
                                    <label>Passport <span class="text-danger">(*)</span></label>
                                </div>
                                <div class="col-sm-8">
                                    <input class="form-control bg-light" id="inp-passport" placeholder="Nhập passport">
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-sm-6">
                            <div class="row form-group">
                                <div class="col-sm-4">
                                    <label>Last Name <span class="text-danger">(*)</span></label>
                                </div>
                                <div class="col-sm-8">
                                    <input class="form-control bg-light" id="inp-last-name"
                                        placeholder="Nhập last name">
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-6">
                            <div class="row form-group">
                                <div class="col-sm-4">
                                    <label>Email</label>
                                </div>
                                <div class="col-sm-8">
                                    <input class="form-control bg-light" id="inp-email" placeholder="Nhập email">
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-sm-6">
                            <div class="row form-group">
                                <div class="col-sm-4">
                                    <label>Birthday <span class="text-danger">(*)</span></label>
                                </div>
                                <div class="col-sm-8">
                                    <input class="form-control bg-light" id="inp-birthday" placeholder="Nhập birthday">
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-6">
                            <div class="row form-group">
                                <div class="col-sm-4">
                                    <label>Country <span class="text-danger">(*)</span></label>
                                </div>
                                <div class="col-sm-8">
                                    <input class="form-control bg-light" id="inp-country" placeholder="Nhập country">
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-sm-6">
                            <div class="row form-group">
                                <div class="col-sm-4">
                                    <label>Gender <span class="text-danger">(*)</span></label>
                                </div>
                                <div class="col-sm-8">
                                    <div class="row">
                                        <div class="col-sm-3">
                                            <input id="check-male" type="radio" name="select-gender" value="male">
                                            <label for="male-gender">Male</label>
                                        </div>
                                        <div class="col-sm-4">
                                            <input id="check-female" type="radio" name="select-gender" value="female">
                                            <label for="female-gender">Female</label>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-6">
                            <div class="row form-group">
                                <div class="col-sm-4">
                                    <label>Region</label>
                                </div>
                                <div class="col-sm-8">
                                    <input class="form-control bg-light" id="inp-region" placeholder="Nhập region">
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row form-group">
                <div class="col-sm-2">
                    <label>Subject</label>
                </div>
                <div class="col-sm-10">
                    <textarea class="form-control" id="inp-subject"></textarea>
                </div>
            </div>
            <div class="row">
                <div class="col-sm-12 text-right">

                    <button type="submit" class="btn btn-success">Submit</button>
                </div>
            </div>
        </div>
    </form>
</body>
<script>
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */

    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    $(document).ready(function () {
        $("#form-register").on("submit", function (event) {
            event.preventDefault();
            onBtnSubmit();
        })
    })

    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    function onBtnSubmit() {
        var vRegisterDataObj = {
            firstName: "",
            lastName: "",
            birthdayDay: "",
            passport: "",
            region: "",
            subject: "",
            email: "",
            country: "",
            isCheckMale: false,
            isCheckFemale: false,

        };
        getDataRegister(vRegisterDataObj);
        var vCheck = validateDataRegister(vRegisterDataObj);
        if (vCheck) {
            displayDataRegister(vRegisterDataObj);
        }
    }

    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    function getDataRegister(paramRegister) {
        paramRegister.firstName = $("#inp-first-name").val().trim();
        paramRegister.lastName = $("#inp-last-name").val().trim();
        paramRegister.birthdayDay = $("#inp-birthday").val().trim();
        paramRegister.passport = $("#inp-passport").val().trim();
        paramRegister.email = $("#inp-email").val().trim();
        paramRegister.country = $("#inp-country").val().trim();
        paramRegister.region = $("#inp-region").val().trim();
        paramRegister.subject = $("#inp-subject").val().trim();
        paramRegister.isCheckMale = $("#check-male").is(":checked");
        paramRegister.isCheckFemale = $("#check-female").is(":checked");
    }
    // validate
    function validateDataRegister(paramRegister) {
        if (paramRegister.firstName == "" || paramRegister.lastName == "" || paramRegister.birthdayDay == "" || paramRegister.passport == "" || paramRegister.country == "") {
            alert("Nhập đầy đủ các trường!");
            return false;
        }
        else if (paramRegister.isCheckMale == false && paramRegister.isCheckFemale == false) {
            alert("check radio gender Male or Female");
            return false;
        }
        return true;
    }
    function displayDataRegister(paramRegister) {
        console.log("First name : " + paramRegister.firstName);
        console.log("Last name : " + paramRegister.lastName)
        console.log("Birthday : " + paramRegister.birthdayDay)

        console.log("Passport : " + paramRegister.passport)
        console.log("Email : " + paramRegister.email)
        console.log("Country : " + paramRegister.country)
        console.log("Region : " + paramRegister.region)
        console.log("Subject : " + paramRegister.subject)
        if (paramRegister.isCheckMale == true) {
            console.log("gender: Male");

        }
        else {
            console.log("gender: Female");
        }
    }

</script>

</html>